#!/bin/bash

CASESTUDY="$2"
DIR="$1"
OUTPUTDIR="/scratch/codeface/codeface-data-thomas/$2/"
OUTPATH="${OUTPUTDIR}${CASESTUDY}_lines.csv"

pushd ${DIR} > /dev/null

    # logging
    echo =================================================================
    echo "Extract added and deleted lines for all commits from the repo."
    echo "$1"
    echo =================================================================
    echo ""

    for c in $(git rev-list --all); do git show --numstat $c | grep '^[[:digit:]]' | awk -v env_var="$c" -v path="${OUTPATH}" ' { OFS=";"; print env_var,$3,$1,$2 >> path;}'; done

    echo "================================================================"
    echo "Finished extraction of added and deleted lines for ${CASESTUDY}".
    echo "================================================================"

popd > /dev/null

exit 0

